claw::meta::type_list_maker_5< T1, T2, T3, T4, T5 > Struct Template Reference

A type list with five types, more readable than an imbricated type_list. More...

`#include <type_list.hpp>`

## Public Types

typedef type_list< T1, typename type_list_maker_4< T2, T3, T4, T5 >::result > | result
| The list described by this implementation.

## Detailed Description

template<typename T1, typename T2, typename T3, typename T4, typename T5>
struct claw::meta::type_list_maker_5< T1, T2, T3, T4, T5 >

A type list with five types, more readable than an imbricated type_list.

Definition at line 173 of file type_list.hpp.

## Member Typedef Documentation

## result

template<typename T1, typename T2, typename T3, typename T4, typename T5>

typedef type_list< T1, typename type_list_maker_4<T2, T3, T4, T5>::result > claw::meta::type_list_maker_5< T1, T2, T3, T4, T5 >::result

The list described by this implementation.

Definition at line 178 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp